
Redmine - Defect #15777

Watched issues count on "My page" is shown for all issues instead of only open ones

2013-12-28 07:18 - Dmitry Beloglazov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed Affected version: 2.3.4

Description

On "My page" I have a "Watched issues" widget.

It shows the issues count in parentheses, and currently it shows 13 there. However, in the list itself there are only 9 issues.

I figured out that 13 is the total number of all watched issues, including closed ones.

The expected behavior is: watched issues counter should show only the number of open issues.

Environment:

  Redmine version                2.3.4.stable.12471

  Ruby version                   1.8.7-p174 (2009-06-12) [i686-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  extended_fields                0.2.2

  redmine_my_page_queries        2.0.8

  redmine_tags                   2.0.1-dev

  redmine_time_tracker           0.5

  stuff_to_do_plugin             0.4.1

Related issues:

Related to Redmine - Defect #23472: Show open issues only in "Reported Issues... Closed

Has duplicate Redmine - Defect #8948: Watched issues which are already closed... Closed 2011-07-30

Has duplicate Redmine - Patch #7687: Incorrect search in my page Closed 2011-02-22

Associated revisions

Revision 15315 - 2016-04-09 11:57 - Jean-Philippe Lang

Watched issues count on "My page" is shown for all issues instead of only open ones (#15777).

Patch by Karel Pičman and Go MAEDA.

History

#1 - 2015-02-11 13:01 - Karel Pičman

- File watched_issue_my_page_block.diff added

Yes, there is an inconsistency in the issue status. While we see all watched issues in MyPage The link reffers to open issues only.

Please apply the attached patch that display open watched issues only in My page.

#2 - 2016-03-10 16:19 - Ieuan Jenkins

Same bug as reported in #8948, I think.

#3 - 2016-03-11 02:38 - Go MAEDA

- File watched_issue_my_page_block_v2.diff added

- Target version set to 3.3.0

I agree to change the behavior. I rarely want to see closed issues.

Here is an updated the patch for the current trunk.
#4 - 2016-03-11 02:43 - Go MAEDA

- Has duplicate Defect #8948: Watched issues which are already closed are still displayed in My Page added

#5 - 2016-04-06 08:23 - Toshi MARUYAMA

- Description updated

#6 - 2016-04-09 11:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Thanks.

#7 - 2016-07-29 15:22 - Anonymous

Both widgets "Watched issues" and "Issues assigned to me" show only open issues. "Reported issues" shows issues with any status. I am pretty sure

this is a defect. See #23472.

#8 - 2016-08-02 09:11 - Go MAEDA

- Related to Defect #23472: Show open issues only in "Reported Issues" on My page added

#9 - 2016-08-21 08:42 - Go MAEDA

- Has duplicate Patch #7687: Incorrect search in my page added

Files

watched_issue_my_page_block.diff 1.01 KB 2015-02-11 Karel Pičman

watched_issue_my_page_block_v2.diff 460 Bytes 2016-03-11 Go MAEDA
